Get Tenant

Get Tenant

Endpoint to get organization details by id
Authorized Roles : PROVIDER or ORG_ADMIN or ORG_USER

Request
URI
GET
https://{api_host}/provider/orgs/{id}
COPY
Path Parameters
string
id
Required

ID of the organization


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns TenantDTO of type(s) application/vnd.vmware.dms-v1+json
{
    "id": "string",
    "companyName": "string",
    "email": "string",
    "instanceMode": "string",
    "deleted": false,
    "orgType": "string",
    "ldapOrgDetails": {
        "id": "string",
        "ldapServerDetailsId": "string",
        "ldapType": "string",
        "ldapServerDetails": {
            "id": "string",
            "type": "string",
            "hostAddress": "string",
            "port": 0,
            "firstNameAttribute": "string",
            "lastNameAttribute": "string",
            "domain": "string",
            "baseDn": "string",
            "searchFilter": "string",
            "loginAttribute": "string",
            "thumbprint": "string",
            "deleted": false,
            "userName": "string",
            "password": "string",
            "sslEnabled": false,
            "sslCert": {
                "privateKey": "string",
                "certificate": "string",
                "parentCert": "string"
            },
            "createdTimestamp": "string"
        },
        "adminGroups": [
            "string"
        ],
        "userGroups": [
            "string"
        ],
        "providerGroups": [
            "string"
        ],
        "deleted": false,
        "createdTimestamp": "string"
    },
    "dbFqdnSuffix": "string",
    "links": [
        {
            "rel": "string",
            "href": "string",
            "hreflang": "string",
            "media": "string",
            "title": "string",
            "type": "string",
            "deprecation": "string",
            "profile": "string",
            "name": "string"
        }
    ]
}
string As uuid As uuid
id
Optional

id

string
companyName
Optional

companyName

string
email
Optional

email

string
instanceMode
Optional

instanceMode

Possible values are : FREE_MODE, PLANS_MODE,
boolean
deleted
Optional

deleted

string
orgType
Optional

orgType

Possible values are : PROVIDER_ORG, TENANT_ORG,
ldapOrgDetails
Optional

ldapOrgDetails

string
dbFqdnSuffix
Optional

dbFqdnSuffix

array of Link
links
Optional

links


400

Bad Request

Operation doesn't return any data structure

404

Not found

Operation doesn't return any data structure